import { r as registerInstance, h, H as Host } from './index-a0453e17.js';
import { B as BEM } from './bem-c44dad2a.js';

const NavigationMainHead = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    const mainHeadEl = BEM.block('nav').element('main').element('head');
    return (h(Host, { class: Object.assign({}, mainHeadEl.class()) }, h("slot", null)));
  }
};

export { NavigationMainHead as bal_navigation_main_head };
